%global major   8
%global minor   4

Name:           circle-linux-repos
Version:        %{major}
Release:        6%{?dist}
Summary:        Circle Linux package repositories
License:        GPLv2
URL:            https://cclinux.org
BuildArch:      noarch

Source100:      LICENSE
Source101:      RPM-GPG-KEY-circleofficial
Source102:      RPM-GPG-KEY-circletesting

# Circle Linux repos
Source200:      Circle-BaseOS.repo
Source201:      Circle-AppStream.repo
Source202:      Circle-PowerTools.repo
Source203:      Circle-Extras.repo

# Circle Linux add-on repos
Source210:      Circle-HighAvailability.repo
Source211:      Circle-ResilientStorage.repo
Source212:      Circle-RT.repo

# Circle Linux special repos
Source220:      Circle-Media.repo
#Source221:      Circle-Debuginfo.repo
Source222:      Circle-Sources.repo
Source223:      Circle-Devel.repo
#Source224:     Circle-ContinuousRelease.repo
#Source225:     Circle-FastTrack.repo
#Source226:      Circle-Plus.repo

Requires:       system-release(releasever) = %{version}
Requires:       circle-gpg-keys = 1:%{version}-%{release}
Provides:       circle-linux-repos(%{version})

# While CentOS 8.0 and 8.2 are not supported, this is to attempt aiding
# in a transition/upgrade process.
Conflicts:      centos-release < 8.0-0.1905.0.10
Conflicts:      centos-repos < 8.2-3
Conflicts:      centos-repos(%{version})

# give dnf a hint to resolve this package on Circle Linux
Enhances:       circle-release

%description
This package provides the package repository files for Circle Linux.

%package -n circle-gpg-keys
Summary:        Circle RPM keys

# upgrade path from 8.2 (the version as a circle-release subpackage) to 8 (the version here)
Epoch:          1

# While CentOS 8.0 and 8.2 are not supported, this is to attempt aiding
# in a transition/upgrade process.
Conflicts:      centos-release < 8.0-0.1905.0.10

%description -n circle-gpg-keys
This package provides the RPM signature keys for Circle.

%install
# copy license here for %%license macro
cp %{SOURCE100} .

# copy GPG keys
install -d -m 0755 %{buildroot}%{_sysconfdir}/pki/rpm-gpg
install -p -m 0644 %{_sourcedir}/RPM-GPG-KEY-* %{buildroot}%{_sysconfdir}/pki/rpm-gpg/

# copy yum repos
install -d -m 0755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -p -m 0644 %{_sourcedir}/*.repo %{buildroot}%{_sysconfdir}/yum.repos.d/

# dnf variables
install -d -m 0755 %{buildroot}%{_sysconfdir}/dnf/vars
echo "pub/circle" >%{buildroot}%{_sysconfdir}/dnf/vars/contentdir

%files -n circle-linux-repos
%license LICENSE
%config(noreplace) %{_sysconfdir}/yum.repos.d/Circle-*.repo
%config(noreplace) %{_sysconfdir}/dnf/vars/contentdir

%files -n circle-gpg-keys
%{_sysconfdir}/pki/rpm-gpg/

%changelog
* Mon Jul 26 2021 Allen <allen@cclinux.org> - 8-6
- Add RT repo

* Mon Jul 26 2021 Allen <allen@cclinux.org> - 8-5
- Update mirrorlist address

* Wed Jun 23 2021 Rouzer Zhou <rouzer@cclinux.org> - 8-4
- Update circle GPG key file

* Thu Apr 08 2021 earthloong <earthloong@cclinux.org> - 8-3
- Initial Circle Repo 8.3
